Bug 130564 - No sound on FC3 (test1) after upgrading to kernel-2.6.8-1.524
Summary: No sound on FC3 (test1) after upgrading to kernel-2.6.8-1.524
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-soundcard   
(Show other bugs)
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-21 22:20 UTC by scott white
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-27 15:58:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description scott white 2004-08-21 22:20:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
After upgrading to kernel-2.6.8-1.524 I have no sound. If I reboot
into my old kernel (kernel-2.6.7-1.492), my sound is fine. I'm not
really sure that this is a problem with system-config-soundcard, but
it seems a good place to start the bug report. With kernel-2.6.8-1.524
system-config-soundcard gives me the following:

==================================================
[root@localhost ~]# system-config-soundcard
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarning: gtk.mainloop is deprecated, use gtk.main instead
  self.warn(message, DeprecationWarning)
amixer: Mixer attach default error: No such file or directory
amixer: Mixer attach default error: No such file or directory
sox: Unable to reset OSS driver.  Possibly accessing an invalid
file/device
-9
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarning: gtk.mainquit is deprecated, use gtk.main_quit
instead
  self.warn(message, DeprecationWarning)
==================================================

If more info is needed just let me know...

thanks,
scott

Version-Release number of selected component (if applicable):
kernel-2.6.8-1.524 system-config-soundcard-1.2.8-1

How reproducible:
Always

Steps to Reproduce:
1. Choose kernel-2.6.8-1.524 from grub menu
2. Launch a sound app like cd player
3. After finding no sound, launch system-config-soundcard
    

Actual Results:  I get:
==================================================
[root@localhost ~]# system-config-soundcard
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarning: gtk.mainloop is deprecated, use gtk.main instead
  self.warn(message, DeprecationWarning)
amixer: Mixer attach default error: No such file or directory
amixer: Mixer attach default error: No such file or directory
sox: Unable to reset OSS driver.  Possibly accessing an invalid
file/device
-9
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarning: gtk.mainquit is deprecated, use gtk.main_quit
instead
  self.warn(message, DeprecationWarning)
==================================================

Expected Results:  A properly configured sound card

Additional info:

I'm using the very popular soundblaster live sound card.

Comment 1 Bill Nottingham 2004-08-23 20:32:54 UTC
Did you upgrade to recent initscripts, mkinitrd, and udev as well?

Comment 2 scott white 2004-08-23 21:45:58 UTC
yes, i am up to date with the fedora development repository:

http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/Fedora/RPMS/


I've got:
mkinitrd-4.1.1-1
initscripts-7.66-1
udev-030-3


Comment 3 scott white 2004-08-27 05:19:17 UTC
As of the August 26, the development repository:

http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/Fedora/RPMS/

restores my sound. 


Note You need to log in before you can comment on or make changes to this bug.